#include<bits/stdc++.h>
#define ll long long
using namespace std;
struct doublet{
    int a;
    int b;
};
bool dSort(doublet a, doublet b)
{
    return a.a>b.a;
}

int main()
{
    int n,k,cmax;
    cin>>n>>k>>cmax;
    vector<int> b;

    for(int i=0;i<n;i++)
    {
        int l;
        cin>>l;
        b.push_back(l);
    }




    for(int i=0;i<n-k+1;i++)
    {
        vector<int> ind;
        vector<doublet> pr;
        int aura=0,c=1;

        int p=0;
        int maks=0;
        for(int j=1;j<k;j++)
        {
            maks+=b[i+j];
        }
        for(int j=0;j<k;j++)
        {
            p+=b[i+j];
            doublet a;
            a.a= maks-p;
            a.b= j;
            pr.push_back(a);
        }
        sort(pr.begin(),pr.end(),dSort);
        for(int j=0;j<cmax-1;j++)
        {
            ind.push_back(pr[j].b);
        }
        for(int j=0;j<k;j++)
        {
            aura+=b[i+j]*c;
            for(int z=0;z<ind.size();z++)
            {
                if(j==ind[z])
                {
                    c++;
                }
            }
        }
        cout<<aura<<" ";


    }
}